Perform full wallet analysis
const options = {method: 'GET'};
fetch('https://api.haveibeendrained.org/api/v1/analyze/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.haveibeendrained.org/api/v1/analyze/{address}import requests
url = "https://api.haveibeendrained.org/api/v1/analyze/{address}"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.haveibeendrained.org/api/v1/analyze/{address}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"type": "wallet_analysis",
"data": {
"walletAddress": "<string>",
"overallRisk": "SAFE",
"riskScore": 50,
"factors": [
{
"type": "<string>",
"severity": "<string>",
"description": "<string>"
}
],
"recommendations": [
"<string>"
],
"checkedAt": "2023-11-07T05:31:56Z"
},
"timestamp": 123
}{
"success": false,
"error": "Invalid Solana address",
"timestamp": 1702224000000
}{
"success": false,
"error": "Rate limit exceeded",
"message": "You have exceeded the rate limit for this endpoint. Please try again later.",
"retryAfter": 3600,
"timestamp": 1702224000000
}Analyze
Perform full wallet analysis
Perform comprehensive wallet security analysis (skips drainer check)
GET
/
api
/
v1
/
analyze
/
{address}
Perform full wallet analysis
const options = {method: 'GET'};
fetch('https://api.haveibeendrained.org/api/v1/analyze/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.haveibeendrained.org/api/v1/analyze/{address}import requests
url = "https://api.haveibeendrained.org/api/v1/analyze/{address}"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.haveibeendrained.org/api/v1/analyze/{address}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"type": "wallet_analysis",
"data": {
"walletAddress": "<string>",
"overallRisk": "SAFE",
"riskScore": 50,
"factors": [
{
"type": "<string>",
"severity": "<string>",
"description": "<string>"
}
],
"recommendations": [
"<string>"
],
"checkedAt": "2023-11-07T05:31:56Z"
},
"timestamp": 123
}{
"success": false,
"error": "Invalid Solana address",
"timestamp": 1702224000000
}{
"success": false,
"error": "Rate limit exceeded",
"message": "You have exceeded the rate limit for this endpoint. Please try again later.",
"retryAfter": 3600,
"timestamp": 1702224000000
}Path Parameters
Solana wallet address to analyze
Required string length:
32 - 44Query Parameters
Required range:
1 <= x <= 200Was this page helpful?